// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import QtMultimediaKit 1.1
import com.romano.RadioVoiceUtility 1.0


Item {
    id: container

    property bool muted: false

    function play(path, filename, isTarget) {
        var endTrasmissionFile;

        if (container.muted == true) {
            buzIfNoVoice.killRumble();
            return;
        }
        if (isTarget)
            endTrasmissionFile = "newTarget.wav";
        else
            endTrasmissionFile = "newMsg.wav";
        if (filename.length > 0) soundEffect.play(path + filename);
        soundEffect.play(path + endTrasmissionFile);
    }

    RumbleEffect {
        id: buzIfNoVoice
    }

    RadioVoicePhononControl {
        id: soundEffect
    }
}
