//
//
function joinInProgress() {
    dialogInfo.showButton = false;
    dialogInfo.info = qsTr("Invio richiesta di partecipazione nella mappa specificata\nAttendere prego...");
    dialogInfo.show();
}
//
// la funzione e' legata al segnale della DialogInput ed esegue la join nella mappa, previa settaggio della
// password inserita nella dialog:
function joinInMap() {
    rectList.enabled = false;
    bridge.setMapPassword(dialogInputMapPasswd.inputText); //imposta la password
    bridge.joinInMap();
}

// result conterra' il boolean che indica se la partecipazione e' andata a buon fine; msg eventuale messaggio
function isJoinedInMap(result, msg) {
    if (result === true) {
        panelWait.visible = true;
        dialogInfo.hide();
        cmdSitOut.visible = true;
        buttonSearch.visible = false;
    }
    else {
        rectList.enabled = true;
        dialogInfo.showButton = true;
        dialogInfo.info = msg;
        dialogInfo.show();
    }
}

//
// ritorna true se e' visualizzata una dialog
function isAnyDialogShown() {
    return (dialogInfo.isShown() === true || dialogInputMapPasswd.isShown() === true);
}
